## org.eclipse.emf.common.util
Class BasicEList.EListIterator<E1>

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEList.EIterator<E1>
          org.eclipse.emf.common.util.AbstractEList.EListIterator<E1>
              org.eclipse.emf.common.util.BasicEList.EListIterator<E1>

All Implemented Interfaces:
  java.util.Iterator<E1>, java.util.ListIterator<E1>

Enclosing class:
  BasicEList<E>

Deprecated.

    @Deprecated
    protected class BasicEList.EListIterator<E1>

extends AbstractEList.EListIterator<E1>

An extensible list iterator implementation.

See Also:
  `AbstractEList.EListIterator`

Field Summary

Fields inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`BasicEList.EListIterator()` Deprecated. Creates an instance.
`BasicEList.EListIterator(int index)` Deprecated. Creates an instance advanced to the index.

Method Summary

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.EListIterator
`add, doAdd, doPrevious, doSet, hasPrevious, nextIndex, previous, previousIndex, set`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`checkModCount, doNext, hasNext, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next, remove`

Constructor Detail

### BasicEList.EListIterator

    public BasicEList.EListIterator()

  Deprecated.
  Creates an instance.

### BasicEList.EListIterator

    public BasicEList.EListIterator(int index)

  Deprecated.
  Creates an instance advanced to the index.

  Parameters:
    `index` - the starting index.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.